<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/Track.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Track.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_Track_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_Track_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_const_8h.html">eicd/TrackConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_obj_8h.html">eicd/TrackObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_8h.html">eicd/Track.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_8h.html">eicd/TrackState.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_8h.html">eicd/TrackerHit.h</a>&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>TrackCollection;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>TrackCollectionIterator;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>ConstTrack;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_track.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_track.html">Track</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_collection.html">TrackCollection</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_track.html#adb718bb978ac1d6a89c282851cf0ffbf">Track</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_track.html#adb718bb978ac1d6a89c282851cf0ffbf">Track</a>(<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track.html#a70ec060e653a94ed8cdc64a1f70fe6aa">chi2</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track.html#a5ef9dbea8dbcb0f482f4e6ff568fdb12">ndf</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track.html#ade17b55e5475b6d858a047f5c219c858">dEdx</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track.html#ac205efd7aa9a11cc6a56765edd495e56">dEdxError</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track.html#ad1a3d8a266bd9009ca779a1a742d89c2">radiusOfInnermostHit</a>);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_track.html#adb718bb978ac1d6a89c282851cf0ffbf">Track</a>(<a class="code" href="classeic_1_1_track_obj.html">TrackObj</a>* obj);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_track.html#adb718bb978ac1d6a89c282851cf0ffbf">Track</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track.html">Track</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_track.html">Track</a>&amp; <a class="code" href="classeic_1_1_track.html#a1757392deb3c96e85dce9d59b3f7ec9c">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track.html">Track</a>&amp; other);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_track.html">Track</a> <a class="code" href="classeic_1_1_track.html#a82dd284afdc68cdd81149d64a2d9f02e">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <a class="code" href="classeic_1_1_track.html#ae144fdb31bc999d64692441191a9a18d">~Track</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track.html#a70ec060e653a94ed8cdc64a1f70fe6aa">chi2</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_track.html#a5ef9dbea8dbcb0f482f4e6ff568fdb12">ndf</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track.html#ade17b55e5475b6d858a047f5c219c858">dEdx</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track.html#ac205efd7aa9a11cc6a56765edd495e56">dEdxError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_track.html#ad1a3d8a266bd9009ca779a1a742d89c2">radiusOfInnermostHit</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#a70ec060e653a94ed8cdc64a1f70fe6aa">chi2</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#a5ef9dbea8dbcb0f482f4e6ff568fdb12">ndf</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#ade17b55e5475b6d858a047f5c219c858">dEdx</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#ac205efd7aa9a11cc6a56765edd495e56">dEdxError</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#ad1a3d8a266bd9009ca779a1a742d89c2">radiusOfInnermostHit</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#acf03a1530df8d8d62eb27c943422ae2d">addtracks</a>(::<a class="code" href="classeic_1_1_const_track.html">eic::ConstTrack</a>);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track.html#a1c1032c1169cdbbe66fc153f817f5bcc">tracks_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <a class="code" href="classeic_1_1_const_track.html">::eic::ConstTrack</a> <a class="code" href="classeic_1_1_track.html#a174196f6660ccee9f4a6b0ad2cf4e06c">tracks</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  std::vector&lt;::eic::ConstTrack&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#ab36b5aad8cbb5cdd835102e8df8e729e">tracks_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  std::vector&lt;::eic::ConstTrack&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#aa2cfd83bd0f754f24d4a3f1c3242dc9e">tracks_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  podio::RelationRange&lt;::eic::ConstTrack&gt; <a class="code" href="classeic_1_1_track.html#a174196f6660ccee9f4a6b0ad2cf4e06c">tracks</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#afe60748d1bf68066c574c624c3589825">addhits</a>(::<a class="code" href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a>);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track.html#a7008aab59afda0585f844e6e9416eab4">hits_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html">::eic::ConstTrackerHit</a> <a class="code" href="classeic_1_1_track.html#a17ae804a1df755d4494cd5460aa56591">hits</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  std::vector&lt;::eic::ConstTrackerHit&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#a1d13c6db25291a56bd3a89bb8b0db5ad">hits_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  std::vector&lt;::eic::ConstTrackerHit&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#a82a31deed34363b236e06e7f1a74cbc4">hits_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  podio::RelationRange&lt;::eic::ConstTrackerHit&gt; <a class="code" href="classeic_1_1_track.html#a17ae804a1df755d4494cd5460aa56591">hits</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#a0bb2eb7a0abd56d4ca8eb60e81568bdf">addtrackStates</a>(::<a class="code" href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a>);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track.html#a09319f53ee2fe7c3c18d2d7ed01dbef0">trackStates_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <a class="code" href="classeic_1_1_const_track_state.html">::eic::ConstTrackState</a> <a class="code" href="classeic_1_1_track.html#a253bf38dc5db2ba59cd13aaf16c1141c">trackStates</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  std::vector&lt;::eic::ConstTrackState&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#a24e4fc25bd52e17ed77e8dbb2da995d6">trackStates_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  std::vector&lt;::eic::ConstTrackState&gt;::const_iterator <a class="code" href="classeic_1_1_track.html#acf85b2df41a9a638c099732723abe7a4">trackStates_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  podio::RelationRange&lt;::eic::ConstTrackState&gt; <a class="code" href="classeic_1_1_track.html#a253bf38dc5db2ba59cd13aaf16c1141c">trackStates</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track.html#a15b5c90f62ca321a1aa2bf3223bf3b1d">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classeic_1_1_track.html#a43e86fb784d32b20a22e720937981ab2">  119</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_track.html#a43e86fb784d32b20a22e720937981ab2">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classeic_1_1_track.html#a858095ae349414fa3297d75204de2c54">  121</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track.html#a858095ae349414fa3297d75204de2c54">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track.html">Track</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track.html#a858095ae349414fa3297d75204de2c54">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classeic_1_1_track.html#a608448fb9fb5aac45e15376af12ce587">  125</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_track.html#a608448fb9fb5aac45e15376af12ce587">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track.html">Track</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classeic_1_1_track.html#abdd470600376d4193b66e31103d7a317">  127</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track.html#abdd470600376d4193b66e31103d7a317">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_track.html#a94e4ceedf446f0da8c5414934e266db1">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_track.html#a94e4ceedf446f0da8c5414934e266db1">getObjectID</a>().index; }</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_track.html#a94e4ceedf446f0da8c5414934e266db1">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <a class="code" href="classeic_1_1_track_obj.html">TrackObj</a>* m_obj;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;};</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; value);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_track_html_acf85b2df41a9a638c099732723abe7a4"><div class="ttname"><a href="classeic_1_1_track.html#acf85b2df41a9a638c099732723abe7a4">eic::Track::trackStates_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackState &gt;::const_iterator trackStates_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00149">Track.cc:149</a></div></div>
<div class="ttc" id="_track_obj_8h_html"><div class="ttname"><a href="_track_obj_8h.html">TrackObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a253bf38dc5db2ba59cd13aaf16c1141c"><div class="ttname"><a href="classeic_1_1_track.html#a253bf38dc5db2ba59cd13aaf16c1141c">eic::Track::trackStates</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrackState &gt; trackStates() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00166">Track.cc:166</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a0bb2eb7a0abd56d4ca8eb60e81568bdf"><div class="ttname"><a href="classeic_1_1_track.html#a0bb2eb7a0abd56d4ca8eb60e81568bdf">eic::Track::addtrackStates</a></div><div class="ttdeci">void addtrackStates(::eic::ConstTrackState)</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00138">Track.cc:138</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html"><div class="ttname"><a href="classeic_1_1_const_track.html">eic::ConstTrack</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00027">TrackConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_acf03a1530df8d8d62eb27c943422ae2d"><div class="ttname"><a href="classeic_1_1_track.html#acf03a1530df8d8d62eb27c943422ae2d">eic::Track::addtracks</a></div><div class="ttdeci">void addtracks(::eic::ConstTrack)</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00066">Track.cc:66</a></div></div>
<div class="ttc" id="classeic_1_1_track_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_track_collection_iterator.html">eic::TrackCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_collection_8h_source.html#l00029">TrackCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_aa2cfd83bd0f754f24d4a3f1c3242dc9e"><div class="ttname"><a href="classeic_1_1_track.html#aa2cfd83bd0f754f24d4a3f1c3242dc9e">eic::Track::tracks_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrack &gt;::const_iterator tracks_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00077">Track.cc:77</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a174196f6660ccee9f4a6b0ad2cf4e06c"><div class="ttname"><a href="classeic_1_1_track.html#a174196f6660ccee9f4a6b0ad2cf4e06c">eic::Track::tracks</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrack &gt; tracks() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00094">Track.cc:94</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a1757392deb3c96e85dce9d59b3f7ec9c"><div class="ttname"><a href="classeic_1_1_track.html#a1757392deb3c96e85dce9d59b3f7ec9c">eic::Track::operator=</a></div><div class="ttdeci">Track &amp; operator=(const Track &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00033">Track.cc:33</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_adb718bb978ac1d6a89c282851cf0ffbf"><div class="ttname"><a href="classeic_1_1_track.html#adb718bb978ac1d6a89c282851cf0ffbf">eic::Track::Track</a></div><div class="ttdeci">Track()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00016">Track.cc:16</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a858095ae349414fa3297d75204de2c54"><div class="ttname"><a href="classeic_1_1_track.html#a858095ae349414fa3297d75204de2c54">eic::Track::operator==</a></div><div class="ttdeci">bool operator==(const Track &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00121">Track.h:121</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_afe60748d1bf68066c574c624c3589825"><div class="ttname"><a href="classeic_1_1_track.html#afe60748d1bf68066c574c624c3589825">eic::Track::addhits</a></div><div class="ttdeci">void addhits(::eic::ConstTrackerHit)</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00102">Track.cc:102</a></div></div>
<div class="ttc" id="_track_const_8h_html"><div class="ttname"><a href="_track_const_8h.html">TrackConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a17ae804a1df755d4494cd5460aa56591"><div class="ttname"><a href="classeic_1_1_track.html#a17ae804a1df755d4494cd5460aa56591">eic::Track::hits</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrackerHit &gt; hits() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00130">Track.cc:130</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_abdd470600376d4193b66e31103d7a317"><div class="ttname"><a href="classeic_1_1_track.html#abdd470600376d4193b66e31103d7a317">eic::Track::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00127">Track.h:127</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a82a31deed34363b236e06e7f1a74cbc4"><div class="ttname"><a href="classeic_1_1_track.html#a82a31deed34363b236e06e7f1a74cbc4">eic::Track::hits_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackerHit &gt;::const_iterator hits_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00113">Track.cc:113</a></div></div>
<div class="ttc" id="classeic_1_1_track_html"><div class="ttname"><a href="classeic_1_1_track.html">eic::Track</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00029">Track.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_ade17b55e5475b6d858a047f5c219c858"><div class="ttname"><a href="classeic_1_1_track.html#ade17b55e5475b6d858a047f5c219c858">eic::Track::dEdx</a></div><div class="ttdeci">const float &amp; dEdx() const</div><div class="ttdoc">Access the dEdx of the track. </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00054">Track.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a608448fb9fb5aac45e15376af12ce587"><div class="ttname"><a href="classeic_1_1_track.html#a608448fb9fb5aac45e15376af12ce587">eic::Track::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const Track &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00125">Track.h:125</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_ad1a3d8a266bd9009ca779a1a742d89c2"><div class="ttname"><a href="classeic_1_1_track.html#ad1a3d8a266bd9009ca779a1a742d89c2">eic::Track::radiusOfInnermostHit</a></div><div class="ttdeci">const float &amp; radiusOfInnermostHit() const</div><div class="ttdoc">Access the The radius of the innermost hit that has been used in the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00056">Track.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00024">TrackerHitConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a1c1032c1169cdbbe66fc153f817f5bcc"><div class="ttname"><a href="classeic_1_1_track.html#a1c1032c1169cdbbe66fc153f817f5bcc">eic::Track::tracks_size</a></div><div class="ttdeci">unsigned int tracks_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00083">Track.cc:83</a></div></div>
<div class="ttc" id="classeic_1_1_track_collection_html"><div class="ttname"><a href="classeic_1_1_track_collection.html">eic::TrackCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_collection_8h_source.html#l00050">TrackCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_track_obj_html"><div class="ttname"><a href="classeic_1_1_track_obj.html">eic::TrackObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_obj_8h_source.html#l00022">TrackObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_ae144fdb31bc999d64692441191a9a18d"><div class="ttname"><a href="classeic_1_1_track.html#ae144fdb31bc999d64692441191a9a18d">eic::Track::~Track</a></div><div class="ttdeci">~Track()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00047">Track.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a7008aab59afda0585f844e6e9416eab4"><div class="ttname"><a href="classeic_1_1_track.html#a7008aab59afda0585f844e6e9416eab4">eic::Track::hits_size</a></div><div class="ttdeci">unsigned int hits_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00119">Track.cc:119</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a15b5c90f62ca321a1aa2bf3223bf3b1d"><div class="ttname"><a href="classeic_1_1_track.html#a15b5c90f62ca321a1aa2bf3223bf3b1d">eic::Track::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00179">Track.cc:179</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a1d13c6db25291a56bd3a89bb8b0db5ad"><div class="ttname"><a href="classeic_1_1_track.html#a1d13c6db25291a56bd3a89bb8b0db5ad">eic::Track::hits_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackerHit &gt;::const_iterator hits_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00107">Track.cc:107</a></div></div>
<div class="ttc" id="_track_state_8h_html"><div class="ttname"><a href="_track_state_8h.html">TrackState.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a09319f53ee2fe7c3c18d2d7ed01dbef0"><div class="ttname"><a href="classeic_1_1_track.html#a09319f53ee2fe7c3c18d2d7ed01dbef0">eic::Track::trackStates_size</a></div><div class="ttdeci">unsigned int trackStates_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00155">Track.cc:155</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_ac205efd7aa9a11cc6a56765edd495e56"><div class="ttname"><a href="classeic_1_1_track.html#ac205efd7aa9a11cc6a56765edd495e56">eic::Track::dEdxError</a></div><div class="ttdeci">const float &amp; dEdxError() const</div><div class="ttdoc">Access the Error of dEdx. </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00055">Track.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a5ef9dbea8dbcb0f482f4e6ff568fdb12"><div class="ttname"><a href="classeic_1_1_track.html#a5ef9dbea8dbcb0f482f4e6ff568fdb12">eic::Track::ndf</a></div><div class="ttdeci">const int &amp; ndf() const</div><div class="ttdoc">Access the Number of degrees of freedom of the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00053">Track.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a43e86fb784d32b20a22e720937981ab2"><div class="ttname"><a href="classeic_1_1_track.html#a43e86fb784d32b20a22e720937981ab2">eic::Track::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00119">Track.h:119</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a94e4ceedf446f0da8c5414934e266db1"><div class="ttname"><a href="classeic_1_1_track.html#a94e4ceedf446f0da8c5414934e266db1">eic::Track::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00186">Track.cc:186</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a24e4fc25bd52e17ed77e8dbb2da995d6"><div class="ttname"><a href="classeic_1_1_track.html#a24e4fc25bd52e17ed77e8dbb2da995d6">eic::Track::trackStates_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackState &gt;::const_iterator trackStates_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00143">Track.cc:143</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a82dd284afdc68cdd81149d64a2d9f02e"><div class="ttname"><a href="classeic_1_1_track.html#a82dd284afdc68cdd81149d64a2d9f02e">eic::Track::clone</a></div><div class="ttdeci">Track clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00043">Track.cc:43</a></div></div>
<div class="ttc" id="_tracker_hit_8h_html"><div class="ttname"><a href="_tracker_hit_8h.html">TrackerHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_a70ec060e653a94ed8cdc64a1f70fe6aa"><div class="ttname"><a href="classeic_1_1_track.html#a70ec060e653a94ed8cdc64a1f70fe6aa">eic::Track::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi2. </div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00052">Track.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_track_html_ab36b5aad8cbb5cdd835102e8df8e729e"><div class="ttname"><a href="classeic_1_1_track.html#ab36b5aad8cbb5cdd835102e8df8e729e">eic::Track::tracks_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrack &gt;::const_iterator tracks_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_8cc_source.html#l00071">Track.cc:71</a></div></div>
<div class="ttc" id="_track_8h_html"><div class="ttname"><a href="_track_8h.html">Track.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
